﻿/* Move down content because we have a fixed navbar that is 50px tall */
body {
    padding-top: 50px;
    padding-bottom: 20px;
}
.body-no-header  {
    padding-top: 10px;
    padding-bottom: 10px;
}


/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}
.body-content-noheader {
    padding-left: 10px;
    padding-right: 10px;
    margin-left:0px;
    margin-right:0px;
    width:96%;
}

html {
   -ms-overflow-style: scrollbar;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set widths on the form inputs since otherwise they're 100% wide */
/*
input[type="text"],
input[type="password"],
input[type="email"],
input[type="tel"],
input[type="select"] {
    max-width: 280px;
}
*/

/* Bootstrap overide */

@media (max-width: 1130px) {
    .navbar-header {
        float: none;
    }
    .navbar-left,.navbar-right {
        float: none !important;
    }
    .navbar-toggle {
        display: block;
    }
    .navbar-collapse {
        border-top: 1px solid transparent;
        box-shadow: inset 0 1px 0 rgba(255,255,255,0.1);
    }
    .navbar-fixed-top {
		top: 0;
		border-width: 0 0 1px;
	}
    .navbar-collapse.collapse {
        display: none!important;
    }
    .navbar-nav {
        float: none!important;
		margin-top: 7.5px;
	}
	.navbar-nav>li {
        float: none;
    }
    .navbar-nav>li>a {
        padding-top: 10px;
        padding-bottom: 10px;
    }
    .collapse.in{
  		display:block !important;
	}
    .navbar-collapse.in {
        overflow-y: auto !important;
    }
	.navbar-nav .open .dropdown-menu {
        position: static;
        float: none;
        width: auto;
        margin-top: 0;
        background-color: transparent;
        border: 0;
        box-shadow: none;
    }
    .navbar-nav .open .dropdown-menu>li>a, .navbar-nav .open .dropdown-menu .dropdown-header {
        padding: 5px 15px 5px 25px;
    }
    .navbar-inverse .navbar-nav .open .dropdown-menu>li>a {
        color: #999;
    }
    .navbar-inverse .navbar-nav .open .dropdown-menu>li>a:hover, 
    .navbar-inverse .navbar-nav .open .dropdown-menu>li>a:focus {
        color: #fff;
        background-color: transparent;
        background-image:none;
    }
}

/* Responsive: Portrait tablets and up */
@media screen and (min-width: 768px) {
    .jumbotron {
        margin-top: 20px;
    }
    .body-content {
        padding: 0;
    }
}

/*********/
/* Table */
/*********/
table.Invisible { border: 0px; }
table.Invisible { border-collapse: separate; border-spacing: 0px; } /* cellspacing */
.Invisible th { padding: 0px;vertical-align: top;overflow:hidden; } /* cellpadding */ /* valign */
.Invisible td { padding: 0px;vertical-align: top;overflow:hidden; }


table.ListView { border: 1px solid black; }
table.ListView { width: 100%; }
table.ListView { color: #666666; font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;font-size:12px;}
table.ListView { border-collapse: separate; border-spacing: 1px; } /* cellspacing */
.ListView th { padding: 5px;vertical-align: middle;overflow:hidden; } /* cellpadding */ /* valign */
.ListView td { padding: 5px;vertical-align: middle;overflow:hidden; }

table.ListViewHeader { border: 0px; }
table.ListViewHeader { width: 100%; }
table.ListViewHeader { border-collapse: separate; border-spacing: 0px; } /* cellspacing */

table.FormView { border: 0px; }
table.FormView { font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif; }
table.FormView { border-collapse: collapse; border-spacing: 0; }
.FormView th, .FormView td { padding: 5px;vertical-align: middle; }

table.FormViewHeader { border: 0px; }
table.FormViewHeader { width: 100%; }
table.FormViewHeader { border-collapse: separate; border-spacing: 0px; } /* cellspacing */
table.FormViewHeader { font-weight:bold;font-size:medium;background-color:#4B6C9E;color:#FFFF66; }
.FormViewHeader th, .FormViewHeader td { padding: 5px;vertical-align: middle; }

table.FormField { border: 0px; }
table.FormField { border-collapse: collapse; border-spacing: 0; }
.FormField th, .FormField td { padding: 0px 5px 0px 0px;vertical-align: middle; }

table.ImgField { border: 0px; }
table.ImgField { width: 100%; }
table.ImgField { border-collapse: separate; border-spacing: 0px; } /* cellspacing */
.ImgField th { padding: 0px;vertical-align: middle;overflow:hidden; } /* cellpadding */ /* valign */
.ImgField td { padding: 0px;vertical-align: middle;overflow:hidden; }


.wait {
    display:    block;
    position:   fixed;
    z-index:    10000;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    background: rgba( 255, 255, 255, .7 ) 
                url('../img/nwWait.gif') 
                50% 50% 
                no-repeat;
}

/* fix for asp.net menu flickering http://stackoverflow.com/questions/3240873/how-to-get-rid-of-ugly-aspmenu-flickering */  
#MainContent_fv_menu ul li ul
{
    display: none;
}
#MainContent_fv_menu ul li 
{
    position: relative; 
    float: left;
    list-style: none;
}

.form-control-date
{
    font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;
    font-size: 1.2em;
    background-color: #FFFFFF;
    border: 1px solid #ccc;
    padding: 2px 5px 2px 10px;
    border-radius: 4px;
}
.devexpress-control
{
    font-family: Arial;
    font-weight: bold;
    font-size: .96em;
    background-color: #FFFFFF;
    border: 1px solid #ccc;
    padding: 1px;
    border-radius: 4px;
}
.padding-left_2 {padding-left: 2px;}
.padding-right_2 {padding-right: 2px;}
.divScroll {overflow-y:scroll;overflow-x:hidden;display:inline-block;border-bottom:1px solid black;border-right:1px solid black;width:100%;}

/*****************************************************************************************************/
/* Classi per comprimere html
/*****************************************************************************************************/
.line   {min-width:1px;width:1px;padding:0px !important;background-color:white;}
.nowrap {white-space:nowrap;}
.c      {text-align:center !important}
.l      {text-align:left !important}
.r      {text-align:right !important}
.top    {vertical-align:top !important}
.w10    {min-width:10px;width:10px;max-width:10px}
.w20    {min-width:20px;width:20px;max-width:20px}
.w26    {min-width:26px;width:26px;max-width:26px}
.w30    {min-width:30px;width:30px;max-width:30px}
.w40    {min-width:40px;width:40px;max-width:40px}
.w50    {min-width:50px;width:50px;max-width:50px}
.w60    {min-width:60px;width:60px;max-width:60px}
.w70    {min-width:70px;width:70px;max-width:70px}
.w80    {min-width:80px;width:80px;max-width:80px}
.w90    {min-width:90px;width:90px;max-width:90px}
.w100    {min-width:100px;width:100px;max-width:100px}
.w110    {min-width:110px;width:110px;max-width:110px}
.w120    {min-width:120px;width:120px;max-width:120px}
.w130    {min-width:130px;width:130px;max-width:130px}
.w140    {min-width:140px;width:140px;max-width:140px}
.w150    {min-width:150px;width:150px;max-width:150px}
.w160   {min-width:160px;width:160px;max-width:160px}
.w1000  {min-width:1000px;width:1000px;max-width:1000px}
.p0     {padding:0px !important}
.p2     {padding:2px !important}
.p5     {padding:5px !important}
.btnInline {display: inline-table;}


